Get Project

Prev Next
Get
/api/v1/Authoring/projects/{id}

Returns information about a specified project

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
id
integer (int32) Required

Id of the project being retrieved

Responses
200

OK

Expand All
object
name
string | null

The project name

description
string | null

The project description

dataSources
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

List of data sources the project has access to

object
id
integer (int32)

The object's ID

name
string | null

The object's name

rootTestFolderId
integer (int32)

The folder ID of the root test folder in the project

rootJobFolderId
integer (int32)

The folder ID of the root job folder in the project

permissions
Array of object (Configuration.Api.Models.v1.ProjectPermission) | null

List of permissions added to the project

object
type
string
Valid values[ "User", "Group" ]
name
string

The permission holder name

Min length1
roleSet
string | null

The name of a predefined role set

roles
Array of string (Configuration.Api.Models.v1.ProjectRole) | null

The custom roles to use when the roleSet property is empty

string
Valid values[ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ]
customFields
object | null

List of custom fields added to the project

property*
404

Not Found

object
error
string | null